Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateCustomerGatewayRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreateCustomerGatewayRequest

    public class CreateCustomerGatewayRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateCustomerGateway operation`.

Provides information to AWS about your customer gateway device. The customer gateway is the appliance at your end of the VPN connection (compared to the VPN gateway, which is the device at the AWS side of the VPN connection). You can have a single active customer gateway per AWS account (active means that you've created a VPN connection to use with the customer gateway). AWS might delete any customer gateway that you create with this operation if you leave it inactive for an extended period of time.

You must provide the Internet-routable IP address of the customer gateway's external interface. The IP address must be static.

You must also provide the device's Border Gateway Protocol (BGP) Autonomous System Number (ASN). You can use an existing ASN assigned to your network. If you don't have an ASN already, you can use a private ASN (in the 64512 - 65534 range). For more information about ASNs, go to http://en.wikipedia.org/wiki/Autonomous_system_%28Internet%29 .

See Also:
  `AmazonEC2.createCustomerGateway(CreateCustomerGatewayRequest)`

Constructor Summary
`CreateCustomerGatewayRequest()`

Method Summary
`Integer` | `getBgpAsn()` The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`String` | `getPublicIp()`
`String` | `getType()` The type of VPN connection this customer gateway supports.
`void` | `setBgpAsn(Integer bgpAsn)` The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`void` | `setPublicIp(String publicIp)`
`void` | `setType(String type)` The type of VPN connection this customer gateway supports.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateCustomerGatewayRequest` | `withBgpAsn(Integer bgpAsn)` The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`CreateCustomerGatewayRequest` | `withPublicIp(String publicIp)` Returns a reference to this object so that method calls can be chained together.
`CreateCustomerGatewayRequest` | `withType(String type)` The type of VPN connection this customer gateway supports.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateCustomerGatewayRequest

    public CreateCustomerGatewayRequest()

Method Detail

### getType

    public String getType()

  The type of VPN connection this customer gateway supports.

  Returns:
    The type of VPN connection this customer gateway supports.

### setType

    public void setType(String type)

  The type of VPN connection this customer gateway supports.

  Parameters:
    `type` - The type of VPN connection this customer gateway supports.

### withType

    public CreateCustomerGatewayRequest withType(String type)

  The type of VPN connection this customer gateway supports.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `type` - The type of VPN connection this customer gateway supports.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPublicIp

    public String getPublicIp()

  Returns:

### setPublicIp

    public void setPublicIp(String publicIp)

  Parameters:
    `publicIp` -

### withPublicIp

    public CreateCustomerGatewayRequest withPublicIp(String publicIp)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicIp` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBgpAsn

    public Integer getBgpAsn()

  The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Returns:
    The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

### setBgpAsn

    public void setBgpAsn(Integer bgpAsn)

  The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Parameters:
    `bgpAsn` - The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

### withBgpAsn

    public CreateCustomerGatewayRequest withBgpAsn(Integer bgpAsn)

  The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bgpAsn` - The customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.